net.dontdrinkandroot.lastfm.api.model

## Class ScrobbleSource

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.ScrobbleSource

All Implemented Interfaces:
  Serializable, Entity, ImageEntity, NameEntity, UrlEntity

    public class ScrobbleSource
    extends LfmEntity
    implements NameEntity, UrlEntity, ImageEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScrobbleSource(Element element)` Create a ScrobbleSource from a Dom `Element`.

### Method Summary

Methods
`Map<ImageSize,URL>` `getImages()`
`String` `getName()`
`URL` `getUrl()`
`void` `setImages(Map<ImageSize,URL> images)`
`void` `setName(String name)`
`void` `setUrl(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScrobbleSource

    public ScrobbleSource(Element element)

Create a ScrobbleSource from a Dom `Element`.

Parameters:
  `element` - The `Element` to parse.

### Method Detail

#### getImages

    public Map<ImageSize,URL> getImages()

Specified by:
  `getImages` in interface `ImageEntity`

#### setImages

    public void setImages(Map<ImageSize,URL> images)

Specified by:
  `setImages` in interface `ImageEntity`

#### getUrl

    public URL getUrl()

Specified by:
  `getUrl` in interface `UrlEntity`

#### setUrl

    public void setUrl(URL url)

Specified by:
  `setUrl` in interface `UrlEntity`

#### setName

    public void setName(String name)

Specified by:
  `setName` in interface `NameEntity`

#### getName

    public String getName()

Specified by:
  `getName` in interface `NameEntity`